import * as Generator from 'yeoman-generator';
declare class App extends Generator {
    options: {
        defaults?: boolean;
        mocha: boolean;
        circleci: boolean;
        appveyor: boolean;
        codecov: boolean;
        'semantic-release': boolean;
        typescript: boolean;
        tslint: boolean;
        yarn: boolean;
    };
    args: {
        [k: string]: string;
    };
    type: 'single' | 'multi' | 'plugin' | 'base';
    path: string;
    pjson: any;
    githubUser: string | undefined;
    answers: {
        name: string;
        bin: string;
        description: string;
        version: string;
        engines: {
            node: string;
        };
        github: {
            repo: string;
            user: string;
        };
        author: string;
        files: string;
        license: string;
        options: {
            mocha: boolean;
            circleci: boolean;
            appveyor: boolean;
            codecov: boolean;
            typescript: boolean;
            tslint: boolean;
            yarn: boolean;
            'semantic-release': boolean;
        };
    };
    mocha: boolean;
    circleci: boolean;
    appveyor: boolean;
    codecov: boolean;
    semantic_release: boolean;
    ts: boolean;
    tslint: boolean;
    yarn: boolean;
    readonly _ext: "ts" | "js";
    readonly _bin: any;
    repository?: string;
    constructor(args: any, opts: any);
    prompting(): Promise<void>;
    writing(): void;
    install(): void;
    private _gitignore;
    private _eslintignore;
    private _writeBase;
    private _writePlugin;
    private _writeSingle;
    private _writeMulti;
}
export = App;
